| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSParticipant Class Reference
eProsima Fast DDS API Reference » RTPS

Class RTPSParticipant, contains the public API for a RTPSParticipant. More...

`#include <RTPSParticipant.hpp>`

## Public Member Functions

const GUID_t & | getGuid () const
| Get the GUID_t of the RTPSParticipant.
void | announceRTPSParticipantState ()
| Force the announcement of the RTPSParticipant state.
void | stopRTPSParticipantAnnouncement ()
| Stop the RTPSParticipant announcement period. //TODO remove this method because is only for testing.
void | resetRTPSParticipantAnnouncement ()
| Reset the RTPSParticipant announcement period. //TODO remove this method because is only for testing.
bool | newRemoteWriterDiscovered (const GUID_t &pguid, int16_t userDefinedId)
| Indicate the Participant that you have discovered a new Remote Writer.
bool | newRemoteReaderDiscovered (const GUID_t &pguid, int16_t userDefinedId)
| Indicate the Participant that you have discovered a new Remote Reader.
uint32_t | getRTPSParticipantID () const
| Get the Participant ID.
bool | register_writer (RTPSWriter *rtps_writer, const TopicDescription &topic, const fastdds::dds::WriterQos &qos)
| Register a Writer in the BuiltinProtocols.
dds::ReturnCode_t | register_writer (RTPSWriter *rtps_writer, const TopicDescription &topic, const PublicationBuiltinTopicData &pub_builtin_topic_data)
| Register a Writer in the BuiltinProtocols.
bool | register_reader (RTPSReader *rtps_reader, const TopicDescription &topic, const fastdds::dds::ReaderQos &qos, const ContentFilterProperty *content_filter=nullptr)
| Register a Reader in the BuiltinProtocols.
dds::ReturnCode_t | register_reader (RTPSReader *rtps_reader, const TopicDescription &topic, const SubscriptionBuiltinTopicData &sub_builtin_topic_data, const ContentFilterProperty *content_filter=nullptr)
| Register a Reader in the BuiltinProtocols.
void | update_attributes (const RTPSParticipantAttributes &patt)
| Update participant attributes.
bool | update_writer (RTPSWriter *rtps_writer, const fastdds::dds::WriterQos &wqos)
| Update local writer QoS.
bool | update_reader (RTPSReader *rtps_reader, const fastdds::dds::ReaderQos &rqos, const ContentFilterProperty *content_filter=nullptr)
| Update local reader QoS.
std::vector< std::string > | getParticipantNames () const
| Returns a list with the participant names.
const RTPSParticipantAttributes & | get_attributes () const
| Get a reference of the current state of the RTPSParticipantParameters.
uint32_t | getMaxMessageSize () const
| Retrieves the maximum message size.
uint32_t | getMaxDataSize () const
| Retrieves the maximum data size.
ResourceEvent & | get_resource_event () const
WLP * | wlp () const
| A method to retrieve the built-in writer liveliness protocol.
bool | get_new_entity_id (EntityId_t &entityId)
| Fills a new entityId if set to unknown, or checks if a entity already exists with that entityId in other case.
void | set_check_type_function (std::function< bool(const std::string &)> &&check_type)
| Allows setting a function to check if a type is already known by the top level API participant.
void | set_listener (RTPSParticipantListener *listener)
| Modifies the participant listener.
uint32_t | get_domain_id () const
| Retrieves the DomainId.
void | enable ()
| This operation enables the RTPSParticipantImpl.
bool | ignore_participant (const GuidPrefix_t &participant_guid)
| Ignore all messages coming from the RTPSParticipant.
bool | ignore_writer (const GUID_t &writer_guid)
| Ignore all messages coming from the RTPSWriter.
bool | ignore_reader (const GUID_t &reader_guid)
| Ignore all messages coming from the RTPSReader.
std::vector< TransportNetmaskFilterInfo > | get_netmask_filter_info () const
| Returns registered transports' netmask filter information (transport's netmask filter kind and allowlist).
bool | get_publication_info (fastdds::rtps::PublicationBuiltinTopicData &data, const GUID_t &writer_guid) const
| Fills the provided publication discovery data with the information of the writer identified by writer_guid.
bool | get_subscription_info (fastdds::rtps::SubscriptionBuiltinTopicData &data, const GUID_t &reader_guid) const
| Fills the provided subscription discovery data with the information of the reader identified by reader_guid.

## Protected Attributes

RTPSParticipantImpl * | mp_impl
| Pointer to the implementation.

## Friends

class | RTPSParticipantImpl
class | RTPSDomain
class | RTPSDomainImpl

## Detailed Description

Class RTPSParticipant, contains the public API for a RTPSParticipant.

## Member Function Documentation

## ◆ announceRTPSParticipantState()

void announceRTPSParticipantState | ( |  | ) |

Force the announcement of the RTPSParticipant state.

## ◆ enable()

void enable | ( |  | ) |

This operation enables the RTPSParticipantImpl.

## ◆ get_attributes()

const RTPSParticipantAttributes & get_attributes | ( |  | ) | const

Get a reference of the current state of the RTPSParticipantParameters.

Returns
  RTPSParticipantAttributes reference.

## ◆ get_domain_id()

uint32_t get_domain_id | ( |  | ) | const

Retrieves the DomainId.

## ◆ get_netmask_filter_info()

std::vector< TransportNetmaskFilterInfo > get_netmask_filter_info | ( |  | ) | const

Returns registered transports' netmask filter information (transport's netmask filter kind and allowlist).

Returns
  A vector with all registered transports' netmask filter information.

## ◆ get_new_entity_id()

bool get_new_entity_id | ( | EntityId_t & | entityId | ) |

Fills a new entityId if set to unknown, or checks if a entity already exists with that entityId in other case.

Parameters

  entityId | to check of fill. If filled, EntityKind will be "vendor-specific" (0x01)

Returns
  True if filled or the entityId is available.

## ◆ get_publication_info()

bool get_publication_info | ( | fastdds::rtps::PublicationBuiltinTopicData & | data,
|  | const GUID_t & | writer_guid ) const

Fills the provided publication discovery data with the information of the writer identified by writer_guid.

Parameters

  [out] | data | publication discovery data to fill.
  [in] | writer_guid | GUID of the writer to get the information from.

Returns
  True if the writer was found and the data was filled.

## ◆ get_resource_event()

ResourceEvent & get_resource_event | ( |  | ) | const

## ◆ get_subscription_info()

bool get_subscription_info | ( | fastdds::rtps::SubscriptionBuiltinTopicData & | data,
|  | const GUID_t & | reader_guid ) const

Fills the provided subscription discovery data with the information of the reader identified by reader_guid.

Parameters

  [out] | data | subscription discovery data to fill.
  [in] | reader_guid | GUID of the reader to get the information from.

Returns
  True if the reader was found and the data was filled.

## ◆ getGuid()

const GUID_t & getGuid | ( |  | ) | const

Get the GUID_t of the RTPSParticipant.

## ◆ getMaxDataSize()

uint32_t getMaxDataSize | ( |  | ) | const

Retrieves the maximum data size.

## ◆ getMaxMessageSize()

uint32_t getMaxMessageSize | ( |  | ) | const

Retrieves the maximum message size.

## ◆ getParticipantNames()

std::vector< std::string > getParticipantNames | ( |  | ) | const

Returns a list with the participant names.

Returns
  list of participant names.

## ◆ getRTPSParticipantID()

uint32_t getRTPSParticipantID | ( |  | ) | const

Get the Participant ID.

Returns
  Participant ID.

## ◆ ignore_participant()

bool ignore_participant | ( | const GuidPrefix_t & | participant_guid | ) |

Ignore all messages coming from the RTPSParticipant.

Parameters

  [in] | participant_guid | RTPSParticipant GUID to be ignored

Returns
  True if correctly included into the ignore collection. False otherwise.

## ◆ ignore_reader()

bool ignore_reader | ( | const GUID_t & | reader_guid | ) |

Ignore all messages coming from the RTPSReader.

Parameters

  [in] | reader_guid | RTPSReader GUID to be ignored

Returns
  True if correctly included into the ignore collection. False otherwise.

## ◆ ignore_writer()

bool ignore_writer | ( | const GUID_t & | writer_guid | ) |

Ignore all messages coming from the RTPSWriter.

Parameters

  [in] | writer_guid | RTPSWriter GUID to be ignored

Returns
  True if correctly included into the ignore collection. False otherwise.

## ◆ newRemoteReaderDiscovered()

bool newRemoteReaderDiscovered | ( | const GUID_t & | pguid,
|  | int16_t | userDefinedId )

Indicate the Participant that you have discovered a new Remote Reader.

This method can be used by the user to implements its own Static Endpoint Discovery Protocol

Parameters

  pguid | GUID_t of the discovered Reader.
  userDefinedId | ID of the discovered Reader.

Returns
  True if correctly added.

## ◆ newRemoteWriterDiscovered()

bool newRemoteWriterDiscovered | ( | const GUID_t & | pguid,
|  | int16_t | userDefinedId )

Indicate the Participant that you have discovered a new Remote Writer.

This method can be used by the user to implements its own Static Endpoint Discovery Protocol

Parameters

  pguid | GUID_t of the discovered Writer.
  userDefinedId | ID of the discovered Writer.

Returns
  True if correctly added.

## ◆ register_reader() [1/2]

bool register_reader | ( | RTPSReader * | rtps_reader,
|  | const TopicDescription & | topic,
|  | const fastdds::dds::ReaderQos & | qos,
|  | const ContentFilterProperty * | content_filter = nullptr )

Register a Reader in the BuiltinProtocols.

Parameters

  rtps_reader | Pointer to the RTPSReader.
  topic | Information regarding the topic where the reader is registering.
  qos | Qos policies of the reader.
  content_filter | Optional content filtering information.

Returns
  True if correctly registered.

## ◆ register_reader() [2/2]

dds::ReturnCode_t register_reader | ( | RTPSReader * | rtps_reader,
|  | const TopicDescription & | topic,
|  | const SubscriptionBuiltinTopicData & | sub_builtin_topic_data,
|  | const ContentFilterProperty * | content_filter = nullptr )

Register a Reader in the BuiltinProtocols.

Parameters

  rtps_reader | Pointer to the RTPSReader.
  topic | Information regarding the topic where the reader is registering.
  sub_builtin_topic_data | Information on the subscription endpoint.
  content_filter | Optional content filtering information.

Returns
  True if correctly registered.

## ◆ register_writer() [1/2]

bool register_writer | ( | RTPSWriter * | rtps_writer,
|  | const TopicDescription & | topic,
|  | const fastdds::dds::WriterQos & | qos )

Register a Writer in the BuiltinProtocols.

Parameters

  rtps_writer | Pointer to the RTPSWriter.
  topic | Information regarding the topic where the writer is registering.
  qos | Qos policies of the writer.

Returns
  True if correctly registered.

## ◆ register_writer() [2/2]

dds::ReturnCode_t register_writer | ( | RTPSWriter * | rtps_writer,
|  | const TopicDescription & | topic,
|  | const PublicationBuiltinTopicData & | pub_builtin_topic_data )

Register a Writer in the BuiltinProtocols.

Parameters

  rtps_writer | Pointer to the RTPSWriter.
  topic | Information regarding the topic where the writer is registering.
  pub_builtin_topic_data | Information on the publication endpoint.

Returns
  True if correctly registered.

## ◆ resetRTPSParticipantAnnouncement()

void resetRTPSParticipantAnnouncement | ( |  | ) |

Reset the RTPSParticipant announcement period. //TODO remove this method because is only for testing.

## ◆ set_check_type_function()

void set_check_type_function | ( | std::function< bool(const std::string &)> && | check_type | ) |

Allows setting a function to check if a type is already known by the top level API participant.

## ◆ set_listener()

void set_listener | ( | RTPSParticipantListener * | listener | ) |

Modifies the participant listener.

Parameters

  listener |

## ◆ stopRTPSParticipantAnnouncement()

void stopRTPSParticipantAnnouncement | ( |  | ) |

Stop the RTPSParticipant announcement period. //TODO remove this method because is only for testing.

## ◆ update_attributes()

void update_attributes | ( | const RTPSParticipantAttributes & | patt | ) |

Update participant attributes.

Parameters

  patt | New participant attributes.

## ◆ update_reader()

bool update_reader | ( | RTPSReader * | rtps_reader,
|  | const fastdds::dds::ReaderQos & | rqos,
|  | const ContentFilterProperty * | content_filter = nullptr )

Update local reader QoS.

Parameters

  rtps_reader | Reader to update.
  rqos | New QoS for the reader.
  content_filter | Optional content filtering information.

Returns
  True on success

## ◆ update_writer()

bool update_writer | ( | RTPSWriter * | rtps_writer,
|  | const fastdds::dds::WriterQos & | wqos )

Update local writer QoS.

Parameters

  rtps_writer | Writer to update.
  wqos | New QoS for the writer.

Returns
  True on success

## ◆ wlp()

WLP * wlp | ( |  | ) | const

A method to retrieve the built-in writer liveliness protocol.

Returns
  Writer liveliness protocol

## Friends And Related Symbol Documentation

## ◆ RTPSDomain

friend class RTPSDomain

friend

## ◆ RTPSDomainImpl

friend class RTPSDomainImpl

friend

## ◆ RTPSParticipantImpl

friend class RTPSParticipantImpl

friend

## Member Data Documentation

## ◆ mp_impl

RTPSParticipantImpl* mp_impl

protected

Pointer to the implementation.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/participant/RTPSParticipant.hpp